/*
	(c) Copyright IBM Corp. 1998, 2006  All Rights Reserved
	C language defines for included modules.

	File generated in stream: 'GA 2.3 WEME_6.1'
*/

#ifndef J9CFG_H
#define J9CFG_H

#ifdef __cplusplus
extern "C" {
#endif


#define J9_COPYRIGHT_STRING "(c) Copyright IBM Corp. 1991, 2006 All Rights Reserved"
#define J9_COPYRIGHT_DYNAMIC_CURRENT_YEAR_STRING "(c) Copyright IBM Corp. 1991, %s All Rights Reserved"
#define J9_COPYRIGHT_CURRENT_YEAR_STRING "2006"


#define EsVersionMajor 2
#define EsVersionMinor 30
#define EsVersionString "2.3"
#define EsExtraVersionString ""
#define TR_AutoImportString "20060629_1804ifx1_r8"
#define Modron_ImportString "200609_15"
#define Realtime_ImportString "R2-3--2005-05-17-AA-IMPORT"
#define PortTest_ImportString "R2_3_Current--2005-09-06-AA-IMPORT"
#ifdef J9VM_STATIC_LINKAGE
#define EsBuildVersionString "20061023_08962_lEsFGq"
#else
#define EsBuildVersionString "20061023_08962_lEdFGq"
#endif
#define J9UniqueBuildID ((U_64)J9CONST64(16885098837476230733))



/*  The following define specifies whether or not direct function pointers into shared libraries are supported */
#define J9VM_DIRECT_FUNCTION_POINTERS


/*  The following define specifies whether or not atomic operations are supported */
#define J9VM_ATOMIC_SWAP


/*  The following define specifies whether or not atomic compare-and-swap is supported */
#undef J9VM_ATOMIC_COMPARE_AND_SWAP


/*  The following define specifies what type of locks are used by this VM */
#define J9VM_TASUKI_LOCKS_DOUBLE_SLOT


/* The following define specified whether or not an instruction to sample the CPU timestamp is supported */
#undef J9VM_CPU_TIMESTAMP_SUPPORT


/*	The default memory sizes.	*/

#define J9_PHYSICAL_MEMORY_SCALE_DENOMINATOR 1
#define J9_IGC_TRIGGER_RATIO 10
#define J9_ROM_CLASS_ALLOCATION_INCREMENT_NUMERATOR 1
#define J9_GC_UNFINALIZED_LIST_INCREMENT 4096
#define J9_NEW_SPACE_SIZE_SCALE_DENOMINATOR 1000
#define J9_SCV_REMSET_SIZE 16384
#define J9_FIXED_SPACE_SIZE_NUMERATOR 0
#define J9_IGC_OBJECT_SCAN_QUEUE_SIZE_NUMERATOR 1
#define J9_RAM_CLASS_ALLOCATION_INCREMENT_DENOMINATOR 1024
#define J9_FIXED_SPACE_SIZE_DENOMINATOR 100
#define J9_OLD_SPACE_SIZE_SCALE_DENOMINATOR 1000
#define J9_NEW_SPACE_SIZE_MAX 524288
#define J9_GC_TLH_SIZE 4096
#define J9_ALLOCATION_INCREMENT_MIN 262144
#define J9_IGC_OBJECT_SCAN_QUEUE_SIZE_MIN 256
#define J9_SCV_TENURE_RATIO_HIGH 30
#define J9_NEW_SPACE_SIZE_SCALE_NUMERATOR 100
#define J9_IGC_OVERFLOW_LIST_SIZE 16384
#define J9_JIT_CODE_CACHE_SIZE 1048576
#define J9_OLD_SPACE_SIZE_MAX 1048576
#define J9_ALLOCATION_INCREMENT_MAX 262144
#define J9_RESMAN_DEFAULT_MEMORY_SPACE_MAX_DIVISOR 8
#define J9_RAM_CLASS_ALLOCATION_INCREMENT_NUMERATOR 1
#define J9_ALLOCATION_INCREMENT_DENOMINATOR 1000
#define J9_MEMORY_MAX 8388608
#define J9_OLD_SPACE_SIZE_ROUND_TO 1024
#define J9_ROM_CLASS_ALLOCATION_INCREMENT_ROUND_TO 1024
#define J9_INITIAL_STACK_SIZE 2048
#define J9_JIT_DATA_CACHE_SIZE 1048576
#define J9_SHARED_CLASS_CACHE_MIN_SIZE 4096
#define J9_GC_UNFINALIZED_LIST_FRAGMENT_SIZE 32
#define J9_ROM_CLASS_ALLOCATION_INCREMENT_DENOMINATOR 256
#define J9_ROM_CLASS_ALLOCATION_INCREMENT_MAX 65536
#define J9_GC_REFERENCE_LIST_INCREMENT 4096
#define J9_SCV_TENURE_RATIO_LOW 10
#define J9_RAM_CLASS_ALLOCATION_INCREMENT_MAX 16384
#define J9_NEW_SPACE_SIZE_ROUND_TO 1024
#define J9_GC_TLH_THRESHOLD 1024
#define J9_FIXED_SPACE_SIZE_MIN 0
#define J9_OS_STACK_SIZE 32768
#define J9_RAM_CLASS_ALLOCATION_INCREMENT_ROUND_TO 1024
#define J9_ALLOCATION_INCREMENT_ROUND_TO 1024
#define J9_OLD_SPACE_SIZE_MIN 1048576
#define J9_RAM_CLASS_ALLOCATION_INCREMENT_MIN 16384
#define J9_IGC_OVERFLOW_LIST_MAX 16384
#define J9_SCV_REMSET_FRAGMENT_SIZE 32
#define J9_STACK_SIZE 262144
#define J9_OLD_SPACE_SIZE_SCALE_NUMERATOR 125
#define J9_ALLOCATION_INCREMENT_NUMERATOR 125
#define J9_ROM_CLASS_ALLOCATION_INCREMENT_MIN 65536
#define J9_IGC_OVERFLOW_LIST_FRAGMENT_SIZE 32
#define J9_STACK_SIZE_INCREMENT 16384
#define J9_SHARED_CLASS_CACHE_DEFAULT_SIZE 16777216
#define J9_FIXED_SPACE_SIZE_ROUND_TO 1024
#define J9_IGC_OBJECT_SCAN_QUEUE_SIZE_ROUND_TO 32
#define J9_NEW_SPACE_SIZE_MIN 262144
#define J9_GC_REFERENCE_LIST_FRAGMENT_SIZE 32
#define J9_PHYSICAL_MEMORY_SCALE_NUMERATOR 1
#define J9_IGC_OBJECT_SCAN_QUEUE_SIZE_MAX 16384
#define J9_IGC_OBJECT_SCAN_QUEUE_SIZE_DENOMINATOR 8192
#define J9_SCV_REMSET_MAX 65536
#define J9_INITIAL_MEMORY_SIZE_SCALE_DENOMINATOR 1000
#define J9_FINALIZABLE_LIST_INCREMENT 8192
#define J9_FINALIZABLE_INTERVAL -2
#define J9_GC_JNI_ARRAY_CACHE_SIZE 8192
#define J9_INITIAL_MEMORY_SIZE_SCALE_NUMERATOR 225
#define J9_FINALIZABLE_LIST_MAX 0
#define J9_INVARIANT_INTERN_TABLE_SIZE 16384
#define J9_IGC_MINIMUM_FREE_RATIO 25
#define J9_INITIAL_MEMORY_SIZE_MAX 1572864
#define J9_FIXED_SPACE_SIZE_MAX 0



/*  Note: The following defines record flags used to build VM.  */
/*  Changing them here does not remove the feature and may cause linking problems. */

#define J9VM_INTERP_FLOAT_SUPPORT
#define J9VM_INTERP_NATIVE_SUPPORT
#define J9VM_INTERP_AOT_RUNTIME_SUPPORT
#define J9VM_INTERP_DEBUG_SUPPORT
#define J9VM_INTERP_HOT_CODE_REPLACEMENT
#define J9VM_INTERP_JNI_SUPPORT
#define J9VM_INTERP_VERBOSE
#define J9VM_INTERP_BYTECODE_PREVERIFICATION
#define J9VM_INTERP_BYTECODE_VERIFICATION
#define J9VM_INTERP_GROWABLE_STACKS
#define J9VM_INTERP_ENABLE_JIT_ON_DESKTOP
#define J9VM_INTERP_JIT_ON_BY_DEFAULT
#define J9VM_OPT_DEPRECATED_METHODS
#define J9VM_OPT_DYNAMIC_LOAD_SUPPORT
#define J9VM_OPT_ROM_IMAGE_SUPPORT
#define J9VM_OPT_JXE_LOAD_SUPPORT
#define J9VM_OPT_ICBUILDER_SUPPORT
#define J9VM_OPT_ZIP_SUPPORT
#define J9VM_OPT_ZLIB_SUPPORT
#define J9VM_OPT_REFLECT
#define J9VM_OPT_BIG_INTEGER
#define J9VM_OPT_MEMORY_CHECK_SUPPORT
#define J9VM_OPT_REMOTE_CONSOLE_SUPPORT
#define J9VM_OPT_MULTI_VM
#define J9VM_OPT_VM_LOCAL_STORAGE
#define J9VM_OPT_INFO_SERVER
#define J9VM_OPT_INLINE_JSRS
#define J9VM_OPT_DEBUG_INFO_SERVER
#define J9VM_OPT_ZLIB_COMPRESSION
#define J9VM_OPT_BUNDLE_CORE_MODULES
#define J9VM_OPT_J2ME_EXTENSION_DIR
#define J9VM_OPT_INVARIANT_INTERNING
#define J9VM_OPT_NATIVE_CHARACTER_CONVERTER
#define J9VM_ENV_LITTLE_ENDIAN
#define J9VM_ENV_DIRECT_FUNCTION_POINTERS
#define J9VM_ENV_BUILD_STATIC_VM
#define J9VM_ENV_BUILD_SHARED_LIB_VM
#define J9VM_GC_USE_INLINE_ALLOCATE
#define J9VM_GC_GENERATIONAL
#define J9VM_GC_MODRON_GC
#define J9VM_GC_MODRON_SCAVENGER
#define J9VM_GC_MODRON_COMPACTION
#define J9VM_GC_MODRON_VICH
#define J9VM_GC_MODRON_DEBUGGER_EXTENSIONS
#define J9VM_GC_MODRON_TRACE
#define J9VM_GC_MODRON_VERBOSE
#define J9VM_GC_MODRON_EVENTS
#define J9VM_GC_FRAGMENTED_HEAP
#define J9VM_GC_OPTIONAL_SCAVENGER
#define J9VM_GC_ADAPTIVE_TENURING
#define J9VM_GC_FINALIZATION
#define J9VM_GC_WEAK_REFERENCE_OBJECTS
#define J9VM_GC_REFERENCE_OBJECTS
#define J9VM_GC_DYNAMIC_CLASS_UNLOADING
#define J9VM_GC_ALIGN_DOUBLE_ARRAYS
#define J9VM_GC_JNI_ARRAY_CACHE
#define J9VM_GC_STACK_ALLOCATED_OBJECTS
#define J9VM_GC_THREAD_LOCAL_HEAP
#define J9VM_GC_BATCH_CLEAR_TLH
#define J9VM_GC_INLINED_ALLOC_FIELDS
#define J9VM_GC_LEAF_BITS
#define J9VM_JIT_SMALL
#define J9VM_JIT_MULTI_CODE_CACHE
#define J9VM_SIZE_OPTIMIZE_SEND_TARGETS
#define J9VM_RAS_EYECATCHERS
#define J9VM_THR_PREEMPTIVE
#define J9VM_PORT_HAS_FILE_SYSTEM
#define J9VM_PORT_HAS_SOCKETS
#define J9VM_PORT_VIRTUAL_MEMORY
#define J9VM_PORT_NLS_SUPPORT
#define J9VM_PORT_STANDARD
#define J9VM_MATH_USE_FDLIBM_SCALING
#define J9VM_IVE_MEMORY_SPACE_HELPERS
#define J9VM_IVE_ROM_IMAGE_HELPERS
#define J9VM_IVE_JXE_STREAMING_RELOCATOR
#define J9VM_IVE_JXE_IN_PLACE_RELOCATOR
#define J9VM_IVE_JXE_FILE_RELOCATOR
#define J9VM_IVE_JXE_OERELOCATOR
#define J9VM_IVE_JXE_NATIVES
#define J9VM_PROF_PROFILING
#define J9VM_PROF_EVENT_REPORTING
#define J9VM_PROF_JVMPI
#define J9VM_BUILD_AUTOBUILD
#define J9VM_BUILD_PRODUCT
#define J9VM_BUILD_J2ME
#define J9VM_BUILD_DROP_TO_TORONTO
#define J9VM_BUILD_DROP_TO_PHOENIX
#define J9VM_BUILD_J9VM_DOC


/* flags NOT used by this VM.  */
#undef J9VM_INTERP_TRACING
#undef J9VM_INTERP_FLOATMATH_TRACING
#undef J9VM_INTERP_FLOATMATHLIB_TRACING
#undef J9VM_INTERP_GP_HANDLER
#undef J9VM_INTERP_AOT_COMPILE_SUPPORT
#undef J9VM_INTERP_MINIMAL_JNI
#undef J9VM_INTERP_UPDATE_VMCTRACING
#undef J9VM_INTERP_ROMABLE_AOT_SUPPORT
#undef J9VM_INTERP_HAS_SEMAPHORES
#undef J9VM_INTERP_SIG_QUIT_THREAD
#undef J9VM_INTERP_SIG_QUIT_THREAD_USES_SEMAPHORES
#undef J9VM_INTERP_PROFILING_BYTECODES
#undef J9VM_OPT_CLDC_ONLY
#undef J9VM_OPT_LINKED_CLASSES_ZIP
#undef J9VM_OPT_SIDECAR
#undef J9VM_OPT_TINY
#undef J9VM_OPT_JAVA_OFFLOAD_SUPPORT
#undef J9VM_OPT_DEBUG_JSR45_SUPPORT
#undef J9VM_OPT_VEE_SUPPORT
#undef J9VM_OPT_PHP_SUPPORT
#undef J9VM_OPT_JVMTI
#undef J9VM_OPT_NEW_OBJECT_HASH
#undef J9VM_OPT_REAL_TIME_EXTENSIONS
#undef J9VM_OPT_SHARED_CLASSES
#undef J9VM_OPT_ALIGN_LONG_VOLATILE_FIELD_OFFSETS
#undef J9VM_OPT_ANNOTATIONS
#undef J9VM_OPT_REAL_TIME_LOCKING_SUPPORT
#undef J9VM_OPT_NATIVE_LOCALE_SUPPORT
#undef J9VM_ENV_DATA64
#undef J9VM_ENV_HAS_FPU
#undef J9VM_ENV_SHARED_LIBS_USE_GLOBAL_TABLE
#undef J9VM_ENV_SHARED_LIBS_CALLEE_GLOBAL_TABLE_SETUP
#undef J9VM_ENV_CALL_VIA_TABLE
#undef J9VM_ENV_DLPAR
#undef J9VM_GC_MODRON_PARALLEL
#undef J9VM_GC_MODRON_STANDARD
#undef J9VM_GC_MODRON_CONCURRENT_MARK
#undef J9VM_GC_CONCURRENT_SWEEP
#undef J9VM_GC_ALLOCATION_TAX
#undef J9VM_GC_MODRON_TINY
#undef J9VM_GC_MODRON_TINY_MSC
#undef J9VM_GC_METRONOME
#undef J9VM_GC_CLDC_FINALIZATION
#undef J9VM_GC_ALIGN_ARRAYS
#undef J9VM_GC_ARRAYLETS
#undef J9VM_GC_ALWAYS_CALL_WRITE_BARRIER
#undef J9VM_GC_DYNAMIC_NEW_SPACE_SIZING
#undef J9VM_GC_TILTED_NEW_SPACE
#undef J9VM_GC_ALIGN_OBJECTS
#undef J9VM_GC_MINIMUM_OBJECT_SIZE
#undef J9VM_GC_SUBPOOLS
#undef J9VM_GC_OBJECT_ACCESS_BARRIER
#undef J9VM_GC_LARGE_OBJECT_AREA
#undef J9VM_JIT_GC_ON_RESOLVE_SUPPORT
#undef J9VM_JIT_REQUIRES_TRAP_HANDLER
#undef J9VM_JIT_SUPPORTS_DIRECT_JNI
#undef J9VM_JIT_FAST_INTERNAL_NATIVES
#undef J9VM_JIT_NEEDS_TRAMPOLINES
#undef J9VM_JIT_FULL_SPEED_DEBUG
#undef J9VM_JIT_MICRO_JIT
#undef J9VM_JIT_NEW_INSTANCE_PROTOTYPE
#undef J9VM_SIZE_SMALL_OS_STACK
#undef J9VM_SIZE_SMALL_RAM
#undef J9VM_SIZE_SMALL_CODE
#undef J9VM_RAS_TDF_TRACE
#undef J9VM_RAS_DUMP_AGENTS
#undef J9VM_RAS_DUMP_FORMS
#undef J9VM_THR_GREENTHREADS
#undef J9VM_THR_TRACING
#undef J9VM_THR_EXTRA_CHECKS
#undef J9VM_THR_STACK_PROBES
#undef J9VM_THR_JLM
#undef J9VM_THR_JLM_HOLD_TIMES
#undef J9VM_THR_JLM_HST
#undef J9VM_THR_SYSTEM_MONITOR_NAMES
#undef J9VM_THR_LOCK_NURSERY
#undef J9VM_THR_LOCK_NURSERY_FAT_ARRAYS
#undef J9VM_THR_SMART_DEFLATION
#undef J9VM_THR_THREE_TIER_LOCKING
#undef J9VM_PORT_LARGE_PAGE_SUPPORT
#undef J9VM_PORT_JSIG_SUPPORT
#undef J9VM_PORT_SIGNAL_SUPPORT
#undef J9VM_PORT_OSDUMP_SUPPORT
#undef J9VM_PORT_OSDUMP_RENAMING
#undef J9VM_MATH_USE_FDLIBM_MATH_LIBRARY
#undef J9VM_IVE_JXE_PALM_RELOCATOR
#undef J9VM_PROF_JVMTI
#undef J9VM_PROF_COUNT_ARGS_TEMPS
#undef J9VM_BUILD_J2SE
#undef J9VM_BUILD_DROP_TO_HURSLEY
#undef J9VM_BUILD_DROP_FOR_CLEAR

#ifdef __cplusplus
}
#endif

#endif /* J9CFG_H */
