package com.ibm.oti.awt;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2002, 2006  All Rights Reserved
 */

import java.awt.color.ColorSpace;

/**
 * This class defines the sRGB color space, proposed at www.w3.org
 */
public class ColorSpace_sRGB extends ColorSpace {

	public ColorSpace_sRGB() {
		super(ColorSpace.TYPE_RGB, 3);
	}

	public String getName(int index)  {
		switch (index) {
			case 1:  return "red"; //$NON-NLS-1$
			case 2:  return "green"; //$NON-NLS-1$
			case 3:  return "blue"; //$NON-NLS-1$
			default: return "Unnamed color component("+index+")";  //$NON-NLS-1$ //$NON-NLS-2$
		}
	}

	public boolean isCS_sRGB() {
		return true;
	}

}
