package com.ibm.oti.awt.image;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2003, 2005  All Rights Reserved
 */

import java.awt.GraphicsConfiguration;
import java.awt.image.BufferedImage;

public interface IImageFactory {
	BufferedImage createImage(GraphicsConfiguration graphicsConfiguration, int width, int height);
	IImageImpl getIImageImpl(Object image);

	IImageImpl createIImageImpl(Object image);
}
