package com.ibm.oti.awt.image;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

import java.net.URL;

import com.ibm.oti.awt.Util;
import com.ibm.oti.awt.metal.image.ImagePeer;

public class URLImageProducer extends AbstractImageProducer {

	URL fURL;

	public URLImageProducer(URL url) {
		fURL = url;
	}

	ImagePeer getImagePeer() {
		return ImagePeer.createMutableCopy(Util.getDisplay(), fURL);
	}
}
