package com.ibm.oti.awt.metal;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2004, 2005  All Rights Reserved
 */

import com.ibm.ugl.eswt.OS;

public class NativeObject extends Object {

	static {
		if (OS.uglErrorHandler == null) {
			OS.uglErrorHandler = new PProErrorHandler();
		}
	}

	public int fPeerHandle;

	public NativeObject(int handle) {
		fPeerHandle = handle;
		if (handle == 0) throw new RuntimeException("peer handle cannot be null");
	}

	public String toString() {
		return getClass().getName() + "[handle=" + fPeerHandle + "]";
	}
}
