
/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2004  All Rights Reserved
 */

package com.ibm.oti.locale;

public class ISO3Languages extends java.util.ListResourceBundle {

protected Object[][] getContents() {
	Object [][] contents = {
		{"aa", "aar"},
		{"ab", "abk"},
		{"af", "afr"},
		{"am", "amh"},
		{"ar", "ara"},
		{"as", "asm"},
		{"ay", "aym"},
		{"az", "aze"},
		{"ba", "bak"},
		{"be", "bel"},
		{"bg", "bul"},
		{"bh", "bih"},
		{"bi", "bis"},
		{"bn", "ben"},
		{"bo", "bod"},
		{"br", "bre"},
		{"ca", "cat"},
		{"co", "cos"},
		{"cs", "ces"},
		{"cy", "cym"},
		{"da", "dan"},
		{"de", "deu"},
		{"dz", "dzo"},
		{"el", "ell"},
		{"en", "eng"},
		{"eo", "epo"},
		{"es", "spa"},
		{"et", "est"},
		{"eu", "eus"},
		{"fa", "fas"},
		{"fi", "fin"},
		{"fj", "fij"},
		{"fo", "fao"},
		{"fr", "fra"},
		{"fy", "fry"},
		{"ga", "gai"},
		{"gd", "gdh"},
		{"gl", "glg"},
		{"gn", "grn"},
		{"gu", "guj"},
		{"ha", "hau"},
		// Skipping he, replaced by iw
		{"hi", "hin"},
		{"hr", "hrv"},
		{"hu", "hun"},
		{"hy", "hye"},
		{"ia", "ina"},
		// Skipping id, replaced by in
		{"ie", "ile"},
		{"ik", "ipk"},
		{"in", "ind"},
		{"is", "isl"},
		{"it", "ita"},
		{"iu", "iku"},
		{"iw", "heb"},
		{"ja", "jpn"},
		{"ji", "yid"},
		{"jw", "jaw"},
		{"ka", "kat"},
		{"kk", "kaz"},
		{"kl", "kal"},
		{"km", "khm"},
		{"kn", "kan"},
		{"ko", "kor"},
		{"ks", "kas"},
		{"ku", "kur"},
		{"ky", "kir"},
		{"la", "lat"},
		{"ln", "lin"},
		{"lo", "lao"},
		{"lt", "lit"},
		{"lv", "lav"},
		{"mg", "mlg"},
		{"mi", "mri"},
		{"mk", "mkd"},
		{"ml", "mal"},
		{"mn", "mon"},
		{"mo", "mol"},
		{"mr", "mar"},
		{"ms", "msa"},
		{"mt", "mlt"},
		{"my", "mya"},
		{"na", "nau"},
		{"ne", "nep"},
		{"nl", "nld"},
		{"no", "nor"},
		{"oc", "oci"},
		{"om", "orm"},
		{"or", "ori"},
		{"pa", "pan"},
		{"pl", "pol"},
		{"ps", "pus"},
		{"pt", "por"},
		{"qu", "que"},
		{"rm", "roh"},
		{"rn", "run"},
		{"ro", "ron"},
		{"ru", "rus"},
		{"rw", "kin"},
		{"sa", "san"},
		{"sd", "snd"},
		{"sg", "sag"},
		{"sh", "srp"},
		{"si", "sin"},
		{"sk", "slk"},
		{"sl", "slv"},
		{"sm", "smo"},
		{"sn", "sna"},
		{"so", "som"},
		{"sq", "sqi"},
		{"sr", "srp"},
		{"ss", "ssw"},
		{"st", "sot"},
		{"su", "sun"},
		{"sv", "swe"},
		{"sw", "swa"},
		{"ta", "tam"},
		{"te", "tel"},
		{"tg", "tgk"},
		{"th", "tha"},
		{"ti", "tir"},
		{"tk", "tuk"},
		{"tl", "tgl"},
		{"tn", "tsn"},
		{"to", "ton"},
		{"tr", "tur"},
		{"ts", "tso"},
		{"tt", "tat"},
		{"tw", "twi"},
		{"ug", "uig"},
		{"uk", "ukr"},
		{"ur", "urd"},
		{"uz", "uzb"},
		{"vi", "vie"},
		{"vo", "vol"},
		{"wo", "wol"},
		{"xh", "xho"},
		// Skipping yi, replaced by ji
		{"yo", "yor"},
		{"za", "zha"},
		{"zh", "zho"},
		{"zu", "zul"},
	};
	return contents;
}
}
