
/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2004  All Rights Reserved
 */

package com.ibm.oti.locale;

public class ISO4CurrenciesToDigits extends java.util.ListResourceBundle {
protected Object[][] getContents() {
	Object[][] contents = {
		{"ADP", "0"},
		{"AED", "2"},
		{"AFA", "2"},
		{"ALL", "2"},
		{"AMD", "2"},
		{"ANG", "2"},
		{"AOA", "2"},
		{"ARS", "2"},
		{"ATS", "2"},
		{"AUD", "2"},
		{"AWG", "2"},
		{"AZM", "2"},
		{"BAM", "2"},
		{"BBD", "2"},
		{"BDT", "2"},
		{"BEF", "0"},
		{"BGL", "2"},
		{"BGN", "2"},
		{"BHD", "2"},
		{"BIF", "0"},
		{"BMD", "2"},
		{"BND", "2"},
		{"BOB", "2"},
		{"BOV", "2"},
		{"BRL", "2"},
		{"BSD", "2"},
		{"BTN", "2"},
		{"BWP", "2"},
		{"BYR", "0"},
		{"BZD", "2"},
		{"CAD", "2"},
		{"CDF", "2"},
		{"CHF", "2"},
		{"CLF", "0"},
		{"CLP", "0"},
		{"CNY", "2"},
		{"COP", "2"},
		{"CRC", "2"},
		{"CUP", "2"},
		{"CVE", "2"},
		{"CYP", "2"},
		{"CZK", "2"},
		{"DEM", "2"},
		{"DJF", "0"},
		{"DKK", "2"},
		{"DOP", "2"},
		{"DZD", "2"},
		{"EEK", "2"},
		{"EGP", "2"},
		{"ERN", "2"},
		{"ESP", "0"},
		{"ETB", "2"},
		{"EUR", "2"},
		{"FIM", "2"},
		{"FJD", "2"},
		{"FKP", "2"},
		{"FRF", "2"},
		{"GBP", "2"},
		{"GEL", "2"},
		{"GHC", "2"},
		{"GIP", "2"},
		{"GMD", "2"},
		{"GNF", "0"},
		{"GRD", "0"},
		{"GTQ", "2"},
		{"GWP", "2"},
		{"GYD", "2"},
		{"HKD", "2"},
		{"HNL", "2"},
		{"HRK", "2"},
		{"HTG", "2"},
		{"HUF", "2"},
		{"IDR", "2"},
		{"IEP", "2"},
		{"ILS", "2"},
		{"INR", "2"},
		{"IQD", "2"},
		{"IRR", "2"},
		{"ISK", "2"},
		{"ITL", "0"},
		{"JMD", "2"},
		{"JOD", "2"},
		{"JPY", "0"},
		{"KES", "2"},
		{"KGS", "2"},
		{"KHR", "2"},
		{"KMF", "0"},
		{"KPW", "2"},
		{"KRW", "0"},
		{"KWD", "2"},
		{"KYD", "2"},
		{"KZT", "2"},
		{"LAK", "2"},
		{"LBP", "2"},
		{"LKR", "2"},
		{"LRD", "2"},
		{"LSL", "2"},
		{"LTL", "2"},
		{"LUF", "0"},
		{"LVL", "2"},
		{"LYD", "2"},
		{"MAD", "2"},
		{"MDL", "2"},
		{"MGF", "0"},
		{"MKD", "2"},
		{"MMK", "2"},
		{"MNT", "2"},
		{"MOP", "2"},
		{"MRO", "2"},
		{"MTL", "2"},
		{"MUR", "2"},
		{"MVR", "2"},
		{"MWK", "2"},
		{"MXN", "2"},
		{"MXV", "2"},
		{"MYR", "2"},
		{"MZM", "2"},
		{"NAD", "2"},
		{"NGN", "2"},
		{"NIO", "2"},
		{"NLG", "2"},
		{"NOK", "2"},
		{"NPR", "2"},
		{"NZD", "2"},
		{"OMR", "2"},
		{"PAB", "2"},
		{"PEN", "2"},
		{"PGK", "2"},
		{"PHP", "2"},
		{"PKR", "2"},
		{"PLN", "2"},
		{"PTE", "0"},
		{"PYG", "0"},
		{"QAR", "2"},
		{"ROL", "2"},
		{"RUB", "2"},
		{"RUR", "2"},
		{"RWF", "0"},
		{"SAR", "2"},
		{"SBD", "2"},
		{"SCR", "2"},
		{"SDD", "2"},
		{"SEK", "2"},
		{"SGD", "2"},
		{"SHP", "2"},
		{"SIT", "2"},
		{"SKK", "2"},
		{"SLL", "2"},
		{"SOS", "2"},
		{"SRG", "2"},
		{"STD", "2"},
		{"SVC", "2"},
		{"SYP", "2"},
		{"SZL", "2"},
		{"THB", "2"},
		{"TJS", "2"},
		{"TMM", "2"},
		{"TND", "2"},
		{"TOP", "2"},
		{"TPE", "0"},
		{"TRL", "0"},
		{"TTD", "2"},
		{"TWD", "2"},
		{"TZS", "2"},
		{"UAH", "2"},
		{"UGX", "2"},
		{"USD", "2"},
		{"USN", "2"},
		{"USS", "2"},
		{"UYU", "2"},
		{"UZS", "2"},
		{"VEB", "2"},
		{"VND", "2"},
		{"VUV", "0"},
		{"WST", "2"},
		{"XAF", "0"},
		{"XAG", "-1"},
		{"XAU", "-1"},
		{"XBA", "-1"},
		{"XBB", "-1"},
		{"XBC", "-1"},
		{"XBD", "-1"},
		{"XCD", "2"},
		{"XDR", "-1"},
		{"XFO", "-1"},
		{"XFU", "-1"},
		{"XOF", "0"},
		{"XPD", "-1"},
		{"XPF", "0"},
		{"XPT", "-1"},
		{"XTS", "-1"},
		{"XXX", "-1"},
		{"YER", "2"},
		{"YUM", "2"},
		{"ZAR", "2"},
		{"ZMK", "2"},
		{"ZWD", "2"},
	};
return contents;
}
}
