
package com.ibm.oti.util;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * InvalidJarIndexException is thrown when entries in META-INF/INDEX.LIST
 * are inaccurate.
 *
 * @author		OTI
 * @version		initial
 */
public class InvalidJarIndexException extends RuntimeException {

/**
 * Constructs a new instance of this class.
 *
 * @author		OTI
 * @version		initial
 */
public InvalidJarIndexException(){
	super();
}

/**
 * Constructs a new instance of this class with its
 * message filled in.
 *
 * @author		OTI
 * @version		initial
 * @param		message String
 *				The message for the exception.
 */
public InvalidJarIndexException(String message){
	super(message);
}

}
