package com.ibm.oti.util.semaphore;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2000, 2005  All Rights Reserved
 */

import java.security.BasicPermission;

/**
 * This permission class is used to control access to the
 * CMSMessageSignatureService.authenticate method which takes binary data to be
 * signed.
 *
 */
public final class CreateSemaphorePermission extends java.security.BasicPermission {

	// constant for use in checking the permission
	static final CreateSemaphorePermission CreateSemaphorePermission = new CreateSemaphorePermission( "createSemaphore" );

	/**
	 * Constructor
	 *
	 * @param permissionName the name of the permission
	 */
	public CreateSemaphorePermission(String permissionName) {
		super(permissionName);
	}

}
