package java.awt;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

/**
 * Instances of this class describe problems within AWT classes.
 *
 * @author		IBM
 * @version		initial
 */
public class AWTError extends Error {

	static final long serialVersionUID = -1819846354050686206L;

	/**
	 * Constructs a new instance of this class with its
	 * walkback and message filled in.
	 *
	 * @author		IBM
	 * @version		initial
	 *
	 * @param		detailMessage String
	 *				The detail message for the exception.
	 */
	public AWTError(String message) {
		super(message);
	}

}
