package java.awt;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

import java.security.BasicPermission;

//------------------------------------------------------------
/**
 *
 */
public final class AWTPermission extends BasicPermission {

	static final long serialVersionUID = 8890392402588814465L;

	/**
	 * Constants for runtime permissions used in this package.
	 */
	static final AWTPermission PermissionToListenToAllAWTEvents = new AWTPermission("listenToAllAWTEvents");

	//------------------------------------------------------------
	/**
	 *
	 */
	public AWTPermission(String name) {
		super(name);
	}

	//------------------------------------------------------------
	/**
	 *
	 */
	public AWTPermission(String name, String actions) {
		super(name,actions);
	}

}
