package java.awt;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

/**
 * This exception is thrown when a component is in the wrong
 * state to perform an operation being attempted.
 *
 * @author		IBM
 * @version		initial
 */
public class IllegalComponentStateException extends IllegalStateException {

	static final long serialVersionUID = -1889339587208144238L;

	/**
	 * Constructs a new instance of this class with its
	 * walkback and message filled in.
	 *
	 * @author	IBM
	 * @version	initial
	 *
	 * @param	detailMessage String
	 *				The detail message for the exception.
	 */
	public IllegalComponentStateException() {
		super();
	}

	/**
	 * Constructs a new instance of this class with its
	 * walkback and message filled in.
	 *
	 * @author	IBM
	 * @version	initial
	 *
	 * @param	detailMessage String
	 *			The detail message for the exception.
	 */
	public IllegalComponentStateException(String detailMessage) {
		super(detailMessage);
	}

}
