package java.awt;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2004, 2005  All Rights Reserved
 */

public class ImageCapabilities implements Cloneable {

	boolean accelerated;

	public ImageCapabilities(boolean accelerated) {
		this.accelerated = accelerated;
	}

	public boolean isAccelerated() {
		return accelerated;
	}

	public boolean isTrueVolatile() {
		return false;
	}

	public Object clone() {
		return new ImageCapabilities(accelerated);
	}

}
