package java.awt.im;

import java.lang.Character.Subset;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2004, 2005  All Rights Reserved
 */

/**
 * Specifies Unicode subsets that pertain to input methods.
 */
public final class InputSubset extends Subset {

	InputSubset(String string) {
		super(string);
	}

	public static final InputSubset LATIN = new InputSubset("LATIN"); //$NON-NLS-1$
	public static final InputSubset LATIN_DIGITS = new InputSubset("LATIN_DIGITS"); //$NON-NLS-1$
	public static final InputSubset TRADITIONAL_HANZI = new InputSubset("TRADITIONAL_HANZI"); //$NON-NLS-1$
	public static final InputSubset SIMPLIFIED_HANZI = new InputSubset("SIMPLIFIED_HANZI"); //$NON-NLS-1$
	public static final InputSubset KANJI = new InputSubset("KANJI"); //$NON-NLS-1$
	public static final InputSubset HANJA = new InputSubset("HANJA"); //$NON-NLS-1$
	public static final InputSubset HALFWIDTH_KATAKANA = new InputSubset("HALFWIDTH_KATAKANA"); //$NON-NLS-1$
	public static final InputSubset FULLWIDTH_LATIN = new InputSubset("FULLWIDTH_LATIN"); //$NON-NLS-1$
	public static final InputSubset FULLWIDTH_DIGITS = new InputSubset("FULLWIDTH_DIGITS"); //$NON-NLS-1$

}
