package java.beans;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2004  All Rights Reserved
 */

import java.applet.AudioClip;

/**
 * This class provides a stand in for the audio clip support until
 * we have something going. It just silently ignores all operations
 * which are asked of it.
 */
class BeanAudioClip implements AudioClip {

	/**
	 * Play this audio clip repeatedly and indefinitely.
	 */
	public void loop() {
	}

	/**
	 * Play this audio clip once from beginning to end.
	 */
	public void play() {
	}

	/**
	 * If this audioclip is playing, a call to this method will cause it to
	 * immediately cease its playing.
	 */
	public void stop() {
	}

}
