
package java.io;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2004  All Rights Reserved
 */

/**
 * This is the top level class for character conversion exceptions.
 *
 * @author		OTI
 * @version		initial
 *
 */
public class CharConversionException extends IOException {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public CharConversionException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage	The detail message for the exception.
 */
public CharConversionException (String detailMessage) {
	super(detailMessage);
}

}
