
package java.io;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2004  All Rights Reserved
 */

/**
 * This IO exception is thrown when the method <code>sync()</code>
 * in FileDescriptor failed to complete.
 *
 * @author		OTI
 * @version		initial
 *
 * @see		FileDescriptor#sync()
 */
public class SyncFailedException extends IOException {

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @param		detailMessage the detail message for the exception.
 */
public SyncFailedException (String detailMessage) {
	super(detailMessage);
}

}
