
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This error is thrown by the class loader when it
 * discovers that a class that it is loading does not
 * have the correct shape.
 *
 * @author		OTI
 * @version		initial
 */
public class ClassFormatError extends LinkageError {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public ClassFormatError () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public ClassFormatError (String detailMessage) {
	super(detailMessage);
}

}
