
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This class is the superclass of all classes which
 * represent errors which occur when inconsistant class
 * files are loaded into the same running image.
 *
 * @author		OTI
 * @version		initial
 *
 * @see		Error
 */
public class IncompatibleClassChangeError extends java.lang.LinkageError {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public IncompatibleClassChangeError () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public IncompatibleClassChangeError (String detailMessage) {
	super(detailMessage);
}

}
