
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This exception is thrown when a program attempts to access
 * a method which does not exist in a class.
 *
 * @author		OTI
 * @version		initial
 */
public class NoSuchMethodException extends java.lang.Exception {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public NoSuchMethodException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public NoSuchMethodException (String detailMessage) {
	super(detailMessage);
}

}
