
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This error is thrown when the virtual machine
 * must throw an error which does not match any
 * known exceptional condition.
 *
 * @author		OTI
 * @version		initial
 */
public class UnknownError extends java.lang.VirtualMachineError {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public UnknownError() {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public UnknownError(String detailMessage) {
	super(detailMessage);
}

}
