
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This error is thrown when the VM notices that an
 * attempt is made to load a class which does not pass
 * the class verification phase.
 *
 * @author		OTI
 * @version		initial
 */
public class VerifyError extends LinkageError {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public VerifyError () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public VerifyError (String detailMessage) {
	super(detailMessage);
}

}
