
/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

package java.lang;

/**
 * This class is a placeholder class for the Java keyword <code>void</code>
 */
public final class Void extends Object {
	/**
	 * The java.lang.Class that represents this class.
	 */
	public static final Class TYPE;
		// Note: This can't be set to "void.class", since *that* is
		// defined to be "java.lang.Void.TYPE";

	static {
		Class voidType = null;
		try {
			java.lang.reflect.Method method = Runnable.class.getMethod("run", new Class[0]);
			voidType = method.getReturnType();
		} catch (Exception e) {
			com.ibm.oti.vm.VM.dumpString("Cannot initialize Void.TYPE\n");
		}
		TYPE = voidType;
	}

private Void() {}
}
