
package java.net;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * A BindException is thrown when a process
 * cannot bind a local address/port, either because
 * it is already bound or reserved by the OS.
 *
 * @author		OTI
 * @version		initial
 */
public class BindException extends SocketException {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public BindException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public BindException (String detailMessage) {
	super(detailMessage);
}

}
