
package java.net;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This exception is thrown when a program attempts to
 * create an URL from an incorrect specification.
 *
 * @author		OTI
 * @version		initial
 *
 * @see		URL
 */
public class MalformedURLException extends java.io.IOException {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public MalformedURLException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public MalformedURLException (String detailMessage) {
	super(detailMessage);
}

}
