
package java.net;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * The NoRouteToHostException may be thrown when attempting to
 * connect to a remote machine and because of network fault or
 * firewall, no route can be established.
 *
 * @author		OTI
 * @version		initial
 */
public class NoRouteToHostException extends SocketException {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public NoRouteToHostException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public NoRouteToHostException (String detailMessage) {
	super(detailMessage);
}

}
