package java.net;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This interface defines a factory for socket implementations.
 * It is used by the classes <code>Socket</code> and <code>ServerSocket</code>
 * to create socket implementations.
 */

public interface SocketImplFactory {
/**
 * Creates a new <code>SocketImpl</code> instance.
 *
 * @author		OTI
 * @version		initial
 *
 * @return SocketImpl
 */
SocketImpl createSocketImpl();
}
