package java.net;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2004  All Rights Reserved
 */

import java.io.InterruptedIOException;

public class SocketTimeoutException extends InterruptedIOException {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		IBM
 * @version		initial
 */
public SocketTimeoutException() {
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		IBM
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public SocketTimeoutException(String detailMessage) {
	super(detailMessage);
}
}
