package java.net;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * Defines a factory which creates URL Stream (protocol) Handler
 * It is used by the classes <code>URL</code>
 */

public interface URLStreamHandlerFactory {
/**
 * Creates a new <code>URL Stream Handler</code> instance.
 *
 * @author		OTI
 * @version		initial
 *
 * @return java.net.URLStreamHandler
 * @param protocol java.lang.String
 */
URLStreamHandler createURLStreamHandler(String protocol);
}
