
package java.net;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

import java.io.IOException;

/**
 * This UnknownHostException is thrown when an IP address resolution
 * is attemped and no host or resolver may be found.
 *
 * @author		OTI
 * @version		initial
 */
public class UnknownHostException extends IOException {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public UnknownHostException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public UnknownHostException (String detailMessage) {
	super(detailMessage);
}

}
