
package java.security;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

/**
 * Used when invalid cryptography keys are used.
 *
 * @author		OTI
 * @version		initial
 *
 * @see		Throwable
 * @see		Error
 */
public class InvalidKeyException extends KeyException {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public InvalidKeyException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public InvalidKeyException (String detailMessage) {
	super(detailMessage);
}

}
