
package java.security;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This class represents generic key management exceptions.
 *
 * @author		OTI
 * @version		initial
 *
 * @see		Key
 * @see		KeyException
 */
public class KeyManagementException extends KeyException {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public KeyManagementException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public KeyManagementException (String detailMessage) {
	super(detailMessage);
}

}
