
package java.security;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This class represents runtime exceptions to be thrown
 * by providers (of cryptographic services).
 *
 * @author		OTI
 * @version		initial
 *
 * @see		Provider
 */
public class ProviderException extends RuntimeException {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public ProviderException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public ProviderException (String detailMessage) {
	super(detailMessage);
}

}
