
package java.security.acl;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This class indicates a Principal which does not own an object
 * is trying to modify an object when its ACL says only its owner can do so.
 *
 * @author		OTI
 * @version		initial
 */
public class NotOwnerException extends Exception {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public NotOwnerException () {
	super();
}

}
