
package java.security.cert;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This class indicates that a given certificate was revoked, by a
 * Certificate Revocation List (CRL).
 *
 * @author		OTI
 * @version		initial
 */
public class CRLException extends java.security.GeneralSecurityException {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public CRLException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public CRLException (String detailMessage) {
	super(detailMessage);
}

}
