
package java.security.cert;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This class indicates that a given certificate is not valid yet.
 *
 * @author		OTI
 * @version		initial
 */
public class CertificateNotYetValidException extends CertificateException {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public CertificateNotYetValidException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public CertificateNotYetValidException (String detailMessage) {
	super(detailMessage);
}

}
