
package java.util;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2006  All Rights Reserved
 */

/**
 * Runtime exception which is thrown when pop/peek method
 * of stack is executed on a stack which is empty
 *
 * @author		OTI
 * @version		initial
 */
public class EmptyStackException extends RuntimeException {

	private static final long serialVersionUID = 5084686378493302095L;

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public EmptyStackException () {
	super();
}

}
