
package java.util.jar;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

/**
 * This runtime exception is thrown when a problem occurrs
 * while reading a JAR file.
 *
 * @author		OTI
 * @version		initial
 */
public class JarException extends java.util.zip.ZipException {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public JarException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public JarException (String detailMessage) {
	super(detailMessage);
}

}
