
package java.util.zip;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * DataFormatException is used to indicate an error in
 * the format of a particular data stream.
 *
 * @author		OTI
 * @version		initial
 *
 */
public class DataFormatException extends Exception {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public DataFormatException() {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public DataFormatException (String detailMessage) {
	super(detailMessage);
}

}
