package javax.microedition.xlet;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2003, 2005  All Rights Reserved
 */

/**
 * This exception is thrown when a request to change an Xlet state fails.
 *
 * @author      IBM
 * @version		initial
 *
 * @see	Xlet
 */
public class XletStateChangeException extends Exception {

	/**
	 * Constructs a new instance of this class with its
	 * walkback filled in.
	 *
	 * @author      IBM
	 * @version		initial
	 */
	public XletStateChangeException() {
		super();
	}

	/**
	 * Constructs a new instance of this class with its
	 * walkback and message filled in.
	 *
	 * @author      IBM
	 * @version		initial
	 *
	 * @param		detailMessage String
	 *				The detail message for the exception.
	 */
	public XletStateChangeException(String detailMessage) {
		super(detailMessage);
	}
}
