package org.ubicollab.core.lm.model;

public class SensorReading implements ISensorReading {
	private String _uniqueId = "";
	private String _name = "";
	private int _signal = 0;
	private Coordinate _cords = null;
	private String _type = "";
	
	public SensorReading(String UniqueId, String Name, int Signal, Coordinate Cord, String SensorType){
		this._cords = Cord;
		this._name = Name;
		this._signal = Signal;
		this._uniqueId = UniqueId;
		this._type = SensorType;
	}
	
	public Coordinate getCoordinates() {
		return _cords;
	}


	public String getHumanReadableName() {
		return _name;
	}

	public String getSensorType() {
		return _type;
	}

	public int getSignalStrength() {
		return _signal;
	}

	public String getUniqueID() {
		return _uniqueId;
	}
}