package com.ibm.oti.awt;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2002, 2006  All Rights Reserved
 */

import java.awt.*;

import com.ibm.oti.awt.image.IImageImpl;

public class GraphicsHandler {

	private static IGraphicsFactory gGraphicsFactory;

	static public void setGraphicsFactory(IGraphicsFactory gGraphicsFactory) {
		GraphicsHandler.gGraphicsFactory = gGraphicsFactory;
	}

	static public Graphics createGraphics(Component component, IImageImpl image) {
		return gGraphicsFactory.createGraphics(component, image);
	}

	static public Graphics createGraphics(GraphicsConfiguration graphicsConfiguration, IImageImpl image) {
		return gGraphicsFactory.createGraphics(graphicsConfiguration, image);
	}

}
