package com.ibm.oti.awt.image;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

import com.ibm.oti.awt.Util;
import com.ibm.oti.awt.metal.image.ImagePeer;

public class OffScreenImageProducer extends AbstractImageProducer {

	private ImagePeer peer;

	public OffScreenImageProducer(ImagePeer peer) {
		this.peer = peer;
	}

	ImagePeer getImagePeer() {
		return ImagePeer.createMutableCopy(Util.getDisplay(), peer);
	}

}
