
/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2004, 2006  All Rights Reserved
 */

package com.ibm.oti.locale;

public class ISO4Currencies extends java.util.ListResourceBundle {
protected Object[][] getContents() {
	Object[][] contents = {
		{"AD", "EUR"},
		{"AE", "AED"},
		{"AF", "AFA"},
		{"AG", "XCD"},
		{"AI", "XCD"},
		{"AL", "ALL"},
		{"AM", "AMD"},
		{"AN", "ANG"},
		{"AO", "AOA"},
		{"AQ", "None"},
		{"AR", "ARS"},
		{"AS", "USD"},
		{"AT", "EUR"},
		{"AT_PREEURO", "ATS"},
		{"AU", "AUD"},
		{"AW", "AWG"},
		{"AZ", "AZM"},
		{"BA", "BAM"},
		{"BB", "BBD"},
		{"BD", "BDT"},
		{"BE", "EUR"},
		{"BE_PREEURO", "BEF"},
		{"BF", "XOF"},
		{"BG", "BGN"},
		{"BH", "BHD"},
		{"BI", "BIF"},
		{"BJ", "XOF"},
		{"BM", "BMD"},
		{"BN", "BND"},
		{"BO", "BOB"},
		{"BR", "BRL"},
		{"BS", "BSD"},
		{"BT", "BTN"},
		{"BV", "NOK"},
		{"BW", "BWP"},
		{"BY", "BYR"},
		{"BZ", "BZD"},
		{"CA", "CAD"},
		{"CC", "AUD"},
		{"CF", "XAF"},
		{"CG", "XAF"},
		{"CH", "CHF"},
		{"CI", "XOF"},
		{"CK", "NZD"},
		{"CL", "CLP"},
		{"CM", "XAF"},
		{"CN", "CNY"},
		{"CN_HK", "CNY"},
		{"CO", "COP"},
		{"CR", "CRC"},
		{"CS", "YUM"},
		{"CU", "CUP"},
		{"CV", "CVE"},
		{"CX", "AUD"},
		{"CY", "CYP"},
		{"CZ", "CZK"},
		{"DE", "EUR"},
		{"DE_PREEURO", "DEM"},
		{"DJ", "DJF"},
		{"DK", "DKK"},
		{"DK_EURO", "EUR"},
		{"DM", "XCD"},
		{"DO", "DOP"},
		{"DZ", "DZD"},
		{"EC", "USD"},
		{"EE", "EEK"},
		{"EG", "EGP"},
		{"EH", "MAD"},
		{"ER", "ERN"},
		{"ES", "EUR"},
		{"ES_PREEURO", "ESP"},
		{"ET", "ETB"},
		{"FI", "EUR"},
		{"FI_PREEURO", "FIM"},
		{"FJ", "FJD"},
		{"FK", "FKP"},
		{"FM", "USD"},
		{"FO", "DKK"},
		{"FR", "EUR"},
		{"FR_PREEURO", "FRF"},
		{"GA", "XAF"},
		{"GB", "GBP"},
		{"GB_EURO", "EUR"},
		{"GD", "XCD"},
		{"GE", "GEL"},
		{"GF", "EUR"},
		{"GH", "GHC"},
		{"GI", "GIP"},
		{"GL", "DKK"},
		{"GM", "GMD"},
		{"GN", "GNF"},
		{"GP", "EUR"},
		{"GQ", "XAF"},
		{"GR", "EUR"},
		{"GR_PREEURO", "GRD"},
		{"GS", "GBP"},
		{"GT", "GTQ"},
		{"GU", "USD"},
		{"GW", "GWP"},
		{"GY", "GYD"},
		{"HK", "HKD"},
		{"HM", "AUD"},
		{"HN", "HNL"},
		{"HR", "HRK"},
		{"HT", "HTG"},
		{"HU", "HUF"},
		{"ID", "IDR"},
		{"IE", "EUR"},
		{"IE_PREEURO", "IEP"},
		{"IL", "ILS"},
		{"IN", "INR"},
		{"IO", "USD"},
		{"IQ", "IQD"},
		{"IR", "IRR"},
		{"IS", "ISK"},
		{"IT", "EUR"},
		{"IT_PREEURO", "ITL"},
		{"JM", "JMD"},
		{"JO", "JOD"},
		{"JP", "JPY"},
		{"KE", "KES"},
		{"KG", "KGS"},
		{"KH", "KHR"},
		{"KI", "AUD"},
		{"KM", "KMF"},
		{"KN", "XCD"},
		{"KP", "KPW"},
		{"KR", "KRW"},
		{"KW", "KWD"},
		{"KY", "KYD"},
		{"KZ", "KZT"},
		{"LA", "LAK"},
		{"LB", "LBP"},
		{"LC", "XCD"},
		{"LI", "CHF"},
		{"LK", "LKR"},
		{"LR", "LRD"},
		{"LS", "LSL"},
		{"LT", "LTL"},
		{"LU", "EUR"},
		{"LU_PREEURO", "LUF"},
		{"LV", "LVL"},
		{"LY", "LYD"},
		{"MA", "MAD"},
		{"MC", "EUR"},
		{"MD", "MDL"},
		{"MG", "MGF"},
		{"MH", "USD"},
		{"MK", "MKD"},
		{"ML", "XOF"},
		{"MM", "MMK"},
		{"MN", "MNT"},
		{"MO", "MOP"},
		{"MP", "USD"},
		{"MQ", "EUR"},
		{"MR", "MRO"},
		{"MS", "XCD"},
		{"MT", "MTL"},
		{"MU", "MUR"},
		{"MV", "MVR"},
		{"MW", "MWK"},
		{"MX", "MXN"},
		{"MY", "MYR"},
		{"MZ", "MZM"},
		{"NA", "NAD"},
		{"NC", "XPF"},
		{"NE", "XOF"},
		{"NF", "AUD"},
		{"NG", "NGN"},
		{"NI", "NIO"},
		{"NL", "EUR"},
		{"NL_PREEURO", "NLG"},
		{"NO", "NOK"},
		{"NP", "NPR"},
		{"NR", "AUD"},
		{"NU", "NZD"},
		{"NZ", "NZD"},
		{"OM", "OMR"},
		{"PA", "PAB"},
		{"PE", "PEN"},
		{"PF", "XPF"},
		{"PG", "PGK"},
		{"PH", "PHP"},
		{"PK", "PKR"},
		{"PL", "PLN"},
		{"PM", "EUR"},
		{"PN", "NZD"},
		{"PR", "USD"},
		{"PT", "EUR"},
		{"PT_PREEURO", "PTE"},
		{"PW", "USD"},
		{"PY", "PYG"},
		{"QA", "QAR"},
		{"RE", "EUR"},
		{"RO", "ROL"},
		{"RU", "RUB"},
		{"RW", "RWF"},
		{"SA", "SAR"},
		{"SB", "SBD"},
		{"SC", "SCR"},
		{"SD", "SDD"},
		{"SE", "SEK"},
		{"SE_EURO", "EUR"},
		{"SG", "SGD"},
		{"SH", "SHP"},
		{"SI", "SIT"},
		{"SJ", "NOK"},
		{"SK", "SKK"},
		{"SL", "SLL"},
		{"SM", "EUR"},
		{"SN", "XOF"},
		{"SO", "SOS"},
		{"SR", "SRG"},
		{"ST", "STD"},
		{"SV", "SVC"},
		{"SY", "SYP"},
		{"SZ", "SZL"},
		{"TC", "USD"},
		{"TD", "XAF"},
		{"TF", "EUR"},
		{"TG", "XOF"},
		{"TH", "THB"},
		{"TJ", "TJS"},
		{"TK", "NZD"},
		{"TM", "TMM"},
		{"TN", "TND"},
		{"TO", "TOP"},
		{"TP", "TPE"},
		{"TR", "TRL"},
		{"TT", "TTD"},
		{"TV", "AUD"},
		{"TW", "TWD"},
		{"TZ", "TZS"},
		{"UA", "UAH"},
		{"UG", "UGX"},
		{"UM", "USD"},
		{"US", "USD"},
		{"UY", "UYU"},
		{"UZ", "UZS"},
		{"VA", "EUR"},
		{"VC", "XCD"},
		{"VE", "VEB"},
		{"VG", "USD"},
		{"VI", "USD"},
		{"VN", "VND"},
		{"VU", "VUV"},
		{"WF", "XPF"},
		{"WS", "WST"},
		{"YE", "YER"},
		{"YT", "EUR"},
		{"YU", "YUM"},
		{"ZA", "ZAR"},
		{"ZM", "ZMK"},
		{"ZW", "ZWD"},
	};
return contents;
}
}
