
/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2004  All Rights Reserved
 */

package com.ibm.oti.locale;

public class Language extends java.util.ListResourceBundle {

protected Object[][] getContents() {
	Object [][] contents = {
		{"aa", "Afar"},
		{"ab", "Abkhazian"},
		{"af", "Afrikaans"},
		{"am", "Amharic"},
		{"ar", "Arabic"},
		{"as", "Assamese"},
		{"ay", "Aymara"},
		{"az", "Azerbaijani"},
		{"ba", "Bashkir"},
		{"be", "Byelorussian"},
		{"bg", "Bulgarian"},
		{"bh", "Bihari"},
		{"bi", "Bislama"},
		{"bn", "Bengali"},
		{"bo", "Tibetan"},
		{"br", "Breton"},
		{"ca", "Catalan"},
		{"co", "Corsican"},
		{"cs", "Czech"},
		{"cy", "Welsh"},
		{"da", "Danish"},
		{"de", "German"},
		{"dz", "Bhutani"},
		{"el", "Greek"},
		{"en", "English"},
		{"eo", "Esperanto"},
		{"es", "Spanish"},
		{"et", "Estonian"},
		{"eu", "Basque"},
		{"fa", "Persian"},
		{"fi", "Finnish"},
		{"fj", "Fiji"},
		{"fo", "Faroese"},
		{"fr", "French"},
		{"fy", "Frisian"},
		{"ga", "Irish"},
		{"gd", "Scots Gaelic"},
		{"gl", "Galician"},
		{"gn", "Guarani"},
		{"gu", "Gujarati"},
		{"ha", "Hausa"},
		{"he", "Hebrew"},
		{"hi", "Hindi"},
		{"hr", "Croatian"},
		{"hu", "Hungarian"},
		{"hy", "Armenian"},
		{"ia", "Interlingua"},
		{"id", "Indonesian"},
		{"ie", "Interlingue"},
		{"ik", "Inupiak"},
		{"in", "Indonesian"},	// obsolete, replaced by id
		{"is", "Icelandic"},
		{"it", "Italian"},
		{"iu", "Inuktitut"},
		{"iw", "Hebrew"},		// obsolete, replaced by he
		{"ja", "Japanese"},
		{"ji", "Yiddish"},		// obsolete, replaced by yi
		{"jw", "Javanese"},
		{"ka", "Georgian"},
		{"kk", "Kazakh"},
		{"kl", "Greenlandic"},
		{"km", "Cambodian"},
		{"kn", "Kannada"},
		{"ko", "Korean"},
		{"ks", "Kashmiri"},
		{"ku", "Kurdish"},
		{"ky", "Kirghiz"},
		{"la", "Latin"},
		{"ln", "Lingala"},
		{"lo", "Laothian"},
		{"lt", "Lithuanian"},
		{"lv", "Latvian (Lettish)"},
		{"mg", "Malagasy"},
		{"mi", "Maori"},
		{"mk", "Macedonian"},
		{"ml", "Malayalam"},
		{"mn", "Mongolian"},
		{"mo", "Moldavian"},
		{"mr", "Marathi"},
		{"ms", "Malay"},
		{"mt", "Maltese"},
		{"my", "Burmese"},
		{"na", "Nauru"},
		{"ne", "Nepali"},
		{"nl", "Dutch"},
		{"no", "Norwegian"},
		{"oc", "Occitan"},
		{"om", "Oromo (Afan)"},
		{"or", "Oriya"},
		{"pa", "Punjabi"},
		{"pl", "Polish"},
		{"ps", "Pashto (Pushto)"},
		{"pt", "Portuguese"},
		{"qu", "Quechua"},
		{"rm", "Rhaeto-Romance"},
		{"rn", "Kirundi"},
		{"ro", "Romanian"},
		{"ru", "Russian"},
		{"rw", "Kinyarwanda"},
		{"sa", "Sanskrit"},
		{"sd", "Sindhi"},
		{"sg", "Sangho"},
		{"sh", "Serbo-Croatian"},
		{"si", "Sinhalese"},
		{"sk", "Slovak"},
		{"sl", "Slovenian"},
		{"sm", "Samoan"},
		{"sn", "Shona"},
		{"so", "Somali"},
		{"sq", "Albanian"},
		{"sr", "Serbian"},
		{"ss", "Siswati"},
		{"st", "Sesotho"},
		{"su", "Sundanese"},
		{"sv", "Swedish"},
		{"sw", "Swahili"},
		{"ta", "Tamil"},
		{"te", "Telugu"},
		{"tg", "Tajik"},
		{"th", "Thai"},
		{"ti", "Tigrinya"},
		{"tk", "Turkmen"},
		{"tl", "Tagalog"},
		{"tn", "Setswana"},
		{"to", "Tonga"},
		{"tr", "Turkish"},
		{"ts", "Tsonga"},
		{"tt", "Tatar"},
		{"tw", "Twi"},
		{"ug", "Uighur"},
		{"uk", "Ukrainian"},
		{"ur", "Urdu"},
		{"uz", "Uzbek"},
		{"vi", "Vietnamese"},
		{"vo", "Volapuk"},
		{"wo", "Wolof"},
		{"xh", "Xhosa"},
		{"yi", "Yiddish"},
		{"yo", "Yoruba"},
		{"za", "Zhuang"},
		{"zh", "Chinese"},
		{"zu", "Zulu"},
	};
	return contents;
}
}
