package com.ibm.oti.net.www.protocol.jxe;

import java.net.*;
import com.ibm.oti.vm.*;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2004  All Rights Reserved
 */

/**
 * This is the handler that is responsible for reading files from jxes.
 */

public class Handler extends URLStreamHandler {
	Jxe jxe;

public Handler() {
}

public Handler(Jxe jxe) {
	this.jxe = jxe;
}

/**
 * Answers a connection to a file pointed by this <code>URL</code> in the jxe.
 */
public URLConnection openConnection(URL url) {
	return new JxeURLConnection(url, jxe);
}

}
