
package com.ibm.oti.util;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * Helper class with methods for sorting arrays.
 *
 * @author		OTI
 * @version		initial
 *
 */
public final class Sorter {
	public interface Comparator extends java.util.Comparator {
	}

/**
 * Sorts the array of objects using the default sorting algorithm.
 *
 * @author		OTI
 * @version		initial
 *
 *
 * @param		objs	array of objects to be sorted
 * @param		comp	A Comparator to be used to sort the elements
 */
 public static void sort( Object[] objs, Comparator comp) {
	java.util.Arrays.sort (objs, comp);
}

}
