package java.awt;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

/**
 * Instances of this class indicate recoverable problems
 * within AWT classes.
 *
 * @author        IBM
 * @version		initial
 */

public class AWTException extends java.lang.Exception {
	static final long serialVersionUID = -1900414231151323879L;

	/**
	 * Constructs a new instance of this class with its
	 * walkback and message filled in.
	 *
	 * @author        IBM
	 * @version		initial
	 *
	 * @param		detailMessage String
	 *				The detail message for the exception.
	 */
	public AWTException(String detailMessage) {
		super(detailMessage);
	}

}
