package java.awt.event;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2004, 2005  All Rights Reserved
 */
import java.awt.AWTEvent;
import java.util.EventListenerProxy;

public class AWTEventListenerProxy extends EventListenerProxy implements AWTEventListener {

	private long eventMask;

	public AWTEventListenerProxy(long eventMask, AWTEventListener listener) {
		super(listener);
		this.eventMask = eventMask;
	}

	public void eventDispatched(AWTEvent event) {
		AWTEventListener listener = (AWTEventListener)getListener();
		listener.eventDispatched(event);
	}

	public long getEventMask() {
		return eventMask;
	}

}
