package java.awt.im;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2004, 2005  All Rights Reserved
 */

import java.awt.Rectangle;
import java.awt.font.TextHitInfo;
import java.text.AttributedCharacterIterator;
import java.text.AttributedCharacterIterator.Attribute;

//TODO PPro 1.1 - need to implement class that implements this interface
public interface InputMethodRequests {

	public abstract Rectangle getTextLocation(TextHitInfo textHitInfo);

	public abstract TextHitInfo getLocationOffset(int x, int y);

	public abstract int getInsertPositionOffset();

	public abstract AttributedCharacterIterator getCommittedText(int indexBegin, int indexEnd, Attribute[] attributes);

	public abstract int getCommittedTextLength();

	public abstract AttributedCharacterIterator cancelLatestCommittedText(Attribute[] attributes);

	public abstract AttributedCharacterIterator getSelectedText(Attribute[] attributes);

}
