package java.io;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2004  All Rights Reserved
 */

/**
 * This IO exception is thrown when a file specified by
 * a program cannot be found.
 *
 * @author		OTI
 * @version		initial
 *
 */
public class FileNotFoundException extends IOException {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 */
public FileNotFoundException() {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @param		detailMessage	The detail message for the exception.
 */
public FileNotFoundException(String detailMessage) {
	super(detailMessage);
}

}
