
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This exception is thrown when a program attempts to
 * clone an object which does not support the Cloneable
 * interface.
 *
 * @author		OTI
 * @version		initial
 *
 * @see		Cloneable
 */
public class CloneNotSupportedException extends Exception {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public CloneNotSupportedException() {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public CloneNotSupportedException (String detailMessage) {
	super(detailMessage);
}

}
