package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This (empty) interface should be implemented by
 * all classes which wish to support cloning. The
 * implementation of clone in class Object checks
 * to ensure that the object being cloned implements
 * this interface, and throws CloneNotSupportedException
 * if not.
 *
 * @author		OTI
 * @version		initial
 *
 * @see			Object#clone
 * @see			CloneNotSupportedException
 */
public interface Cloneable {
}
