
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

/**
 * This error is thrown when the VM notices that it has
 * gotten into a state which it does not understand.
 *
 * @author		OTI
 * @version		initial
 */
public class InternalError extends VirtualMachineError {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public InternalError() {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public InternalError(String detailMessage) {
	super(detailMessage);
}

}
