
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This class is the superclass of all classes which
 * represent errors that occur when loading and linking
 * class files.
 *
 * @author		OTI
 * @version		initial
 *
 * @see			Error
 */
public class LinkageError extends Error {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public LinkageError() {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public LinkageError (String detailMessage) {
	super(detailMessage);
}

}
