
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This error is thrown when the VM is unable to locate
 * a class which it has been asked to load.
 *
 * @author		OTI
 * @version		initial
 */
public class NoClassDefFoundError extends LinkageError {
/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public NoClassDefFoundError () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public NoClassDefFoundError (String detailMessage) {
	super(detailMessage);
}

}
