
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This error is thrown when the VM notices that a
 * an attempt is being made to reference a method of
 * a class which does not exist in that class.
 *
 * @author		OTI
 * @version		initial
 */
public class NoSuchMethodError extends IncompatibleClassChangeError {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public NoSuchMethodError () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public NoSuchMethodError (String detailMessage) {
	super(detailMessage);
}

}
