
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * ThreadDeath is thrown when a thread stops executing.
 * It is used to aid in the orderly unrolling of the
 * thread's stack (eg. cleanup of monitors).
 *
 * @author		OTI
 * @version		initial
 */
public class ThreadDeath extends Error {

/**
 * Constructs a new instance of this class. Note that
 * in the case of ThreadDeath, the walkback may <em>not</em>
 * be filled in a way which allows a stack trace to be
 * printed.
 *
 * @author		OTI
 * @version		initial
 */
public ThreadDeath () {
}

}
