
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This error is thrown when an attempt is made to invoke
 * a native for which an implementation could not be found.
 *
 * @author		OTI
 * @version		initial
 */
public class UnsatisfiedLinkError extends LinkageError {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public UnsatisfiedLinkError () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public UnsatisfiedLinkError (String detailMessage) {
	super(detailMessage);
}

}
