
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This error is thrown when an attempt is made to load a
 * class with a format version that is not supported by
 * the VM.
 *
 * @author		OTI
 * @version		initial
 */

public class UnsupportedClassVersionError extends java.lang.ClassFormatError {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public UnsupportedClassVersionError(){
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public UnsupportedClassVersionError(String detailMessage){
	super(detailMessage);
}

}
