
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This runtime exception is thrown when an unsupported
 * operation is attempted.
 *
 * @author		OTI
 * @version		initial
 */
public class UnsupportedOperationException extends RuntimeException {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public UnsupportedOperationException () {
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public UnsupportedOperationException (String detailMessage) {
	super(detailMessage);
}

}
