package java.lang.reflect;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

/**
 * ReflectPermission objects represent permission to
 * access dangerous operations in the reflection layer.
 *
 * @author		OTI
 * @version		initial
 */
public final class ReflectPermission extends java.security.BasicPermission {

/**
 * Creates an instance of this class with given name.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		permissionName String
 *					the name of the new permission.
 */
public ReflectPermission(String permissionName)
{
	super(permissionName);
}

/**
 * Creates an instance of this class with the given name and
 * action list. The action list is ignored.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		name String
 *					the name of the new permission.
 * @param		actions String
 *					ignored.
 */
public ReflectPermission(String name, String actions)
{
	super(name, actions);
}
}
