
package java.net;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This ConnectException is thrown when a connection
 * cannot be established to a remote host/port, because
 * for instance a server was not listening.
 *
 * @author		OTI
 * @version		initial
 */
public class ConnectException extends SocketException {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public ConnectException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public ConnectException (String detailMessage) {
	super(detailMessage);
}

}
