package java.net;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * Defines a factory which is reponsible for creating a ContentHandler
 */

public interface ContentHandlerFactory {
/**
 * Creates a content handler to handle <code>contentType</code>
 *
 * @author		OTI
 * @version		initial
 *
 * @return java.net.ContentHandler
 * @param contentType java.lang.String
 */
ContentHandler createContentHandler(String contentType);
}
