package java.net;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This interface defines a factory for datagram socket implementations.
 * It is used by the class <code>DatagramSocket</code> to create datagram
 * socket implementations.
 */

public interface DatagramSocketImplFactory {
/**
 * Creates a new <code>SocketImpl</code> instance.
 *
 * @author		OTI
 * @version		initial
 *
 * @return SocketImpl
 */
DatagramSocketImpl createDatagramSocketImpl();
}
