
package java.net;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * An attempt to connect to a socket of the wrong type (stream
 * or nonstream) will trigger this exception. An invalid operation
 * applied on the protocol that doesn't support it will also
 * throw this exception.
 *
 * @author		OTI
 * @version		initial
 *
 * @see		URL
 */
public class ProtocolException extends java.io.IOException {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public ProtocolException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public ProtocolException (String detailMessage) {
	super(detailMessage);
}

}
