
package java.net;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

import java.io.IOException;

/**
 * This SocketException may be thrown during socket
 * creation or setting options, and is the superclass
 * of all other socket related exceptions.
 *
 * @author		OTI
 * @version		initial
 */
public class SocketException extends IOException {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public SocketException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public SocketException (String detailMessage) {
	super(detailMessage);
}

}
