
package java.security;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

/**
 * This class represents the general security exception. Subclasses
 * will represents specific security problems.
 *
 * @author		OTI
 * @version		initial
 */
public class GeneralSecurityException extends Exception {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public GeneralSecurityException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public GeneralSecurityException (String detailMessage) {
	super(detailMessage);
}

}
