
package java.security;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This exception is thrown when an invalid parameter
 * is passed to a method.
 *
 * @author		OTI
 * @version		initial
 */
public class InvalidParameterException extends IllegalArgumentException {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public InvalidParameterException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public InvalidParameterException (String detailMessage) {
	super(detailMessage);
}

}
