
package java.security;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * Instances of this class are thrown when an attempt
 * is made to access a provider by name which is not
 * currently available.
 *
 * @author		OTI
 * @version		initial
 *
 * @see		Throwable
 */
public class NoSuchProviderException extends GeneralSecurityException {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public NoSuchProviderException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public NoSuchProviderException (String detailMessage) {
	super(detailMessage);
}

}
