
package java.security.spec;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

/**
 * This class represents exceptions for invalid key specifications.
 *
 * @author		OTI
 * @version		initial
 */
public class InvalidKeySpecException extends java.security.GeneralSecurityException {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public InvalidKeySpecException() {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public InvalidKeySpecException(String detailMessage) {
	super(detailMessage);
}

}
