package java.util;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * Observer must be implemented by objects which are added to an Observable.
 *
 * @author		OTI
 * @version		initial
 */
public interface Observer {
/*
 * When the specified observable object's <code>notifyObservers</code> method
 * is called and the observable object has changed, this method is called.
 *
 * @author		OTI
 * @version		initial
 *
 * @param	observable	the observable object
 * @param	data	the data passed to <code>notifyObservers</code>
 */
void update(Observable observable, Object data);
}
