package org.ubicollab.core.sm.model;

import org.ubicollab.core.lm.model.ISensorReading;

//Interface representing Space Manager
//It also shows basic operations Space Manager provides

public interface ISpaceManager {
	public long CreateSpace(String Name, String Description, String Purpose, 
			boolean Shareable, long ParentSpaceId, ISensorReading[] SensorReadings);
	public Space SetSpace();
	public Space SetSpace(long SpaceId);
	public Space GetSpace(ISensorReading[] SensorReadings);
	public Space GetSpace(long SpaceId);
	public Space GetCurrentSpace();
	public Space DownloadSpace(String Uri);
}
