package org.ubicollab.core.spacedb;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;

public class Activator implements BundleActivator {
	public void start(BundleContext context) throws Exception {
		context.registerService(DBHelper.class.getName(), new DBHelper(), null);
		System.out.println("SpaceDB has started");
	}

	
	public void stop(BundleContext context) throws Exception {
		ServiceReference dbServiceRef = context.getServiceReference(DBHelper.class.getName());
		if( dbServiceRef != null ){
			context.ungetService(dbServiceRef);
			System.out.println("SpaceDB has stopped");
		}
	}

}
