package org.placelab.spotter;

public class StringUtil {	
	public static String canonicalizeBSSID(String bssid) {
		bssid = bssid.toLowerCase();
		if (bssid.length()==12 && bssid.indexOf(':') < 0) {
			/* this is the old 12-character format; change it
			 * to the new XX:XX:XX:XX:XX:XX format */
			bssid = bssid.substring( 0, 2) + ':' + 
				bssid.substring( 2, 4) + ':' +
				bssid.substring( 4, 6) + ':' +
				bssid.substring( 6, 8) + ':' +
				bssid.substring( 8,10) + ':' +
				bssid.substring(10,12);
		}
		return bssid;
	}
}
