CREATE TABLE Space(
	Id int, 
	Name varchar(20), 
	Owner varchar(20), 
	Description varchar(500), 
	IsShareable bit, 
	DateCreated TIMESTAMP
);

CREATE TABLE Sensor(
	SensorId int, 
	SensorType varchar(20), 
	UniqueIdentifier varchar(20), 
	HumanReadableName varchar(20)
);

CREATE TABLE SensorReading(
	ReadingId int, 
	SpaceId int, 
	SensorId int, 
	Reading int,
	Coordinate varchar(500)
);

CREATE TABLE CurrentSpace(
	SpaceId int, 
	UpdatedDate TIMESTAMP
);